#
# spec file for package openssl-certs
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

BuildRequires:  openssl

Name:           openssl-certs
%define ssletcdir %{_sysconfdir}/ssl
License:        BSD 3-Clause; "MPL 1.1/GPL 2.0/LGPL 2.1 ..."
Group:          Productivity/Networking/Security
AutoReqProv:    on
Version:        0.8.0
Release:        0.8.29
Summary:        CA certificates for OpenSSL
Url:            http://www.mozilla.org
# IMPORTANT: procedure to update certificates:
# - Check the CVS log of the cert file:
#   http://bonsai.mozilla.org/cvslog.cgi?file=mozilla/security/nss/lib/ckfw/builtins/certdata.txt&rev=HEAD
# - download the new certdata.txt
#   wget -O certdata.txt "http://mxr.mozilla.org/mozilla/source//security/nss/lib/ckfw/builtins/certdata.txt?raw=1"
# - run compareoldnew to show fingerprints of new and changed certificates
# - check the bugs referenced in cvs log and compare the checksum
#   to output of compareoldnew
# - Watch out that blacklisted or untrusted certificates are not
#   accidentally included!
Source:         certdata.txt
Source1:        extractcerts.pl
Source2:        %{name}.COPYING
Source3:        compareoldnew
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
# for c_rehash
PreReq:         openssl

%description
This package contains some CA root certificates for OpenSSL extracted
from MozillaFirefox



%prep
%setup -qcT
install -m 644 %{S:1} COPYING

%build
perl %{SOURCE1} < %{SOURCE0}

%install
mkdir -p %{buildroot}/%{ssletcdir}/certs
for i in *.pem; do openssl x509 -in $i -out %{buildroot}/%{ssletcdir}/certs/$i; done

%clean
rm -rf %{buildroot}

%post
# need to do that here so c_rehash can deal with hash collisions
c_rehash %{ssletcdir}/certs > /dev/null || true

%postun
c_rehash %{ssletcdir}/certs > /dev/null || true

%files
%defattr(-, root, root)
%dir %{ssletcdir}/certs
%doc COPYING
%{ssletcdir}/certs/*

%changelog
* Tue Feb 15 2011 lnussel@suse.de
- don't fail in %%post if c_rehash fails for some reason (e.g. not
  installed due to dep cycle with openssl)
* Tue Feb  2 2010 lnussel@suse.de
- update certificates to revision 1.57
- add script to compare with previous certificates
* Wed Sep 30 2009 lnussel@suse.de
- update certifiates to cvs revision 1.56
- exclude certficates that are not trusted for identifying web sites
* Tue Dec  2 2008 cfarrell@suse.de
- Add openssl-certs.COPYING to fix bnc#441356
* Thu Oct  9 2008 lnussel@suse.de
- use certificates from MozillaFirefox
* Wed Jul  9 2008 mkoenig@suse.de
- split out the CA root certificates from the openssl certs
  subpackage into a package of its own.
